package com.unis.base.server.dao;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import com.unis.base.server.entity.TyChubeilyynbao;
import com.unis.base.server.example.TyChubeilyynbaoExample;

public interface TyChubeilyynbaoDao {
    int countByExample(TyChubeilyynbaoExample example);

    int deleteByExample(TyChubeilyynbaoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TyChubeilyynbao record);

    int insertSelective(TyChubeilyynbao record);

    List<TyChubeilyynbao> selectByExample(TyChubeilyynbaoExample example);

    TyChubeilyynbao selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TyChubeilyynbao record, @Param("example") TyChubeilyynbaoExample example);

    int updateByExample(@Param("record") TyChubeilyynbao record, @Param("example") TyChubeilyynbaoExample example);

    int updateByPrimaryKeySelective(TyChubeilyynbao record);

    int updateByPrimaryKey(TyChubeilyynbao record);
}